Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LanConnection1.ColorDisabled = Color.White
        LanConnection1.ColorDisconnect = Color.Red
        LanConnection1.ColorEnabled = Color.Green
        LanConnection1.EnableClickInfo = True

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If LanConnection1.Scan = False Then
            Button1.Text = "Stop"
            LanConnection1.Scan = True
            Timer1.Enabled = True
        Else
            Button1.Text = "Go"
            Label5.Text = "--"
            Label6.Text = "--"
            Label7.Text = "--"
            Label8.Text = "--"
            Label9.Text = "--"
            Label11.Text = "--"
            LanConnection1.Scan = False
            Timer1.Enabled = False
        End If
    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        Label5.Text = LanConnection1.InternetConnection.ToString
        Label6.Text = LanConnection1.LanAdaptater
        Label7.Text = LanConnection1.LanName
        Label8.Text = LanConnection1.Statut
        Label11.Text = LanConnection1.TypeConnection
        Label12.Text = LanConnection1.WifiLevel
    End Sub

End Class